Skip to main content
POST
Make airtime purchases via a sub account
This endpoint is deprecated. Use Make airtime purchases via sub account (v2) at POST /v2/bill/topup/{subAccountId} instead.
Always requery the transaction using Fetch a single transaction on a sub account to confirm its final status before issuing a refund.

Authorizations

Authorization
string
header
required

Nomba authenticates API calls with OAuth2 HTTP bearer tokens. There are two methods of authentication; Client-Credentials method and PKCE (Proof Key for Code Exchange) method. In each of the methods, You will get an ACCESS_TOKEN. You need to use an "Authorization" HTTP header to provide your ACCESS_TOKEN. For example: Authorization: {ACCESS_TOKEN}.

Headers

accountId
string<uuid>
required

The parent accountId of the business this sub account belongs to

Example:

"890022ce-bae0-45c1-9b9d-ee7872e6ca27"

Path Parameters

subAccountId
string<uuid>
required

The sub accountId via which airtime is to be purchased

Example:

"890022ce-bae0-45c1-9b9d-ee7872e6ca27"

Body

application/json

The request payload required to make airtime purchases

amount
number<double>
required

The airtime amount to be purchased

Example:

200

phoneNumber
string
required

Recipient phone number

Required string length: 11 - 13
Example:

"08055441122"

network
enum<string>
required

Recipient network (telco). It can also come as lowercased values e.g. glo, mtn etc.

Available options:
GLO,
MTN,
9MOBILE,
AIRTEL
Minimum string length: 3
Example:

"GLO"

merchantTxRef
string
required

Merchant Transaction Identifier reference (Unique to merchant)

This is an idempotency key and must be unique per transaction.

Example:

"3bvwhibh38220dsjakTwvb"

senderName
string

A name to describe the sender of the airtime

Example:

"John Doe"

Response

OK - your request was successful.

code
string
required

Response Code

Example:

"00"

description
string
required

Response description

Example:

"Success"

data
object
required